Debian Bug report logs - #672030
FTBFS with gcc-4.7: segfaults in lt-bseprocidl

version graph

Package: src:beast; Maintainer for src:beast is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 8 May 2012 13:05:54 UTC

Severity: serious

Tags: patch, sid, wheezy

Merged with 674900, 687397

Found in version beast/0.7.4-4

Fixed in version beast/0.7.4-5

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#672030; Package src:beast. (Tue, 08 May 2012 13:05:57 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 08 May 2012 13:06:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: beast: FTBFS: birnetutils.cc:725:44: error: 'access' was not declared in this scope
Date: Tue, 8 May 2012 13:50:43 +0200
Source: beast
Version: 0.7.4-4
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120508 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> /bin/bash ../libtool --silent --tag=CXX   --mode=compile g++ -DBIRNET_LOG_DOMAIN=\"BIRNET\" -D_BIRNET_SOURCE_EXTENSIONS -I. -I.. -I.. -I.. -I. -I. -pthread -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include     -D_BIRNET_SOURCE_EXTENSIONS -g -DG_ENABLE_DEBUG -Wall -Wdeprecated -Wno-cast-qual -pipe -O2 -ftracer -finline-functions -fno-keep-static-consts -c -o birnetutils.lo birnetutils.cc
> birnetthreadimpl.cc:1515:43: warning: 'gint g_atomic_int_exchange_and_add(volatile gint*, gint)' is deprecated (declared at /usr/include/glib-2.0/glib/gatomic.h:66): Use 'g_atomic_add' instead [-Wdeprecated-declarations]
> birnetthreadimpl.cc:1520:43: warning: 'gint g_atomic_int_exchange_and_add(volatile gint*, gint)' is deprecated (declared at /usr/include/glib-2.0/glib/gatomic.h:66): Use 'g_atomic_add' instead [-Wdeprecated-declarations]
> birnetthreadimpl.cc:1654:43: warning: 'gint g_atomic_int_exchange_and_add(volatile gint*, gint)' is deprecated (declared at /usr/include/glib-2.0/glib/gatomic.h:66): Use 'g_atomic_add' instead [-Wdeprecated-declarations]
> birnetthreadimpl.cc:1659:43: warning: 'gint g_atomic_int_exchange_and_add(volatile gint*, gint)' is deprecated (declared at /usr/include/glib-2.0/glib/gatomic.h:66): Use 'g_atomic_add' instead [-Wdeprecated-declarations]
> birnetthreadimpl.cc:1740:43: warning: 'gint g_atomic_int_exchange_and_add(volatile gint*, gint)' is deprecated (declared at /usr/include/glib-2.0/glib/gatomic.h:66): Use 'g_atomic_add' instead [-Wdeprecated-declarations]
> birnetthreadimpl.cc:1745:43: warning: 'gint g_atomic_int_exchange_and_add(volatile gint*, gint)' is deprecated (declared at /usr/include/glib-2.0/glib/gatomic.h:66): Use 'g_atomic_add' instead [-Wdeprecated-declarations]
> birnetutils.cc: In function 'int Birnet::Path::errno_check_file(const char*, const char*)':
> birnetutils.cc:725:44: error: 'access' was not declared in this scope
> birnetutils.cc: In function 'void Birnet::unlink_file_name(gpointer)':
> birnetutils.cc:1213:27: error: 'unlink' was not declared in this scope
> birnetutils.cc: In function 'const gchar* Birnet::url_create_redirect(const char*, const char*, const char*)':
> birnetutils.cc:1228:81: error: 'getpid' was not declared in this scope
> birnetutils.cc:1253:27: error: 'write' was not declared in this scope
> birnetutils.cc:1257:18: error: 'close' was not declared in this scope
> birnetutils.cc:1261:27: error: 'unlink' was not declared in this scope
> make[4]: *** [birnetutils.lo] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/05/08/beast_0.7.4-4_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#672030; Package src:beast. (Tue, 08 May 2012 18:58:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 08 May 2012 18:58:12 GMT) Full text and rfc822 format available.

Message #10 received at 672030@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 672030@bugs.debian.org
Subject: beast: ftbfs with GCC-4.7
Date: Tue, 08 May 2012 18:57:12 +0000
user debian-gcc@lists.debian.org
usertags 672030 + ftbfs-gcc-4.7
thanks

The build failure is exposed by building with gcc-4.7/g++-4.7,
which is now the default gcc/g++ on x86 architectures.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html




Added tag(s) patch. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 20:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#672030; Package src:beast. (Sat, 07 Jul 2012 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sat, 07 Jul 2012 19:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 672030@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 672030@bugs.debian.org
Subject: Re: Bug#672030: beast: FTBFS: birnetutils.cc:725:44: error: 'access' was not declared in this scope
Date: Sat, 7 Jul 2012 20:59:15 +0200
[Message part 1 (text/plain, inline)]
Hi

On Thu, Jun 21, 2012 at 09:54:15PM +0100, Steven Chamberlain wrote:
> # the fix for this seems finalised in VCS
> tags 672030 + patch

I tried to build beast in current state of the git repository, it
succeeds at least at the previous part but now the package FTBFS later
on (build segfaults). Attached is my log.

Regards,
Salvatore
[beast_0.7.4-4.1_amd64.build.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#672030; Package src:beast. (Fri, 13 Jul 2012 05:35:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Fri, 13 Jul 2012 05:36:50 GMT) Full text and rfc822 format available.

Message #22 received at 672030@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 672030@bugs.debian.org
Subject: backtrace
Date: Thu, 12 Jul 2012 16:44:49 -0600
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Program received signal SIGSEGV, Segmentation fault.
0x00007fff00000005 in ?? ()
(gdb) bt
#0  0x00007fff00000005 in ?? ()
#1  0x00007ffff70d891e in g_type_class_ref () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#2  0x00000000004047c2 in printInterface (iface=..., parent=...) at bseprocidl.cc:343
#3  0x0000000000404a24 in printInterface (iface=..., parent=...) at bseprocidl.cc:360
#4  0x0000000000404a24 in printInterface (iface=..., parent=...) at bseprocidl.cc:360
#5  0x0000000000401e93 in main (argc=6922240, argv=0x7ffff70bf190) at bseprocidl.cc:446

#2  0x00000000004047c2 in printInterface (iface=..., parent=...) at bseprocidl.cc:343
343	      GObjectClass *klass = (GObjectClass *)g_type_class_ref (type_id);
(gdb) p type_id
$1 = 6387824
(gdb) p iface.c_str()
$2 = 0x68a038 "BseStandardOsc"

HTH. Will try and have another look at this later.

- -- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk//U2EACgkQiAEJSii8s+NhVQCgvJjdOITpnPkPlGR/IenDYqF+
7iQAn0pCZkptNia9wea1S0nPMedTCvOF
=r6r/
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#672030; Package src:beast. (Fri, 13 Jul 2012 16:18:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Fri, 13 Jul 2012 16:19:00 GMT) Full text and rfc822 format available.

Message #27 received at 672030@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 672030@bugs.debian.org
Subject: Attaching the patch so far
Date: Fri, 13 Jul 2012 10:15:56 -0600
[Message part 1 (text/plain, inline)]
The patch tag was added but the patch only exists in git, so I'm
attaching the raw patch to make it easier for others to debug the
segmentation fault which occurs after this patch is applied.

This patch is not sufficient to fix the bug itself.

Also, note that prior to the segmentation fault, the build log contains
70 CRITICAL warnings from GLib, GLib-GObject or BSE.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[debian_patches_500-gcc47.patch (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#672030; Package src:beast. (Mon, 27 Aug 2012 15:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <gio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 27 Aug 2012 15:48:03 GMT) Full text and rfc822 format available.

Message #32 received at 672030@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: 672030@bugs.debian.org, control@bugs.debian.org
Subject: FTBFS only with gcc-4.7
Date: Mon, 27 Aug 2012 17:37:32 +0200
[Message part 1 (text/plain, inline)]
retitle 672030 FTBFS with gcc-4.7: segfaults in lt-bseprocidl
thanks

Hi.

(context: I'm writing about the FTBFS in beast)

I can reproduce this bug using gcc-4.7, but the package compiles
correctly with gcc-4.6 (which is bad, because the bug is buried inside
the internals of glib). The same behavior happens with the upstream
distributed tarball and with upstream latest git code. I think the best
idea is to write upstream and ask whether they've already tried to build
with 4.7.

I can do this: any objections? Any special care I need to have with
upstream? (is he Debian friendly?)

Giovanni.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'FTBFS with gcc-4.7: segfaults in lt-bseprocidl' from 'beast: FTBFS: birnetutils.cc:725:44: error: 'access' was not declared in this scope' Request was from Giovanni Mascellani <gio@debian.org> to control@bugs.debian.org. (Mon, 27 Aug 2012 15:48:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#672030; Package src:beast. (Mon, 27 Aug 2012 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 27 Aug 2012 19:36:03 GMT) Full text and rfc822 format available.

Message #39 received at 672030@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Giovanni Mascellani <gio@debian.org>
Cc: 672030@bugs.debian.org
Subject: Re: Bug#672030: FTBFS only with gcc-4.7
Date: Mon, 27 Aug 2012 21:33:50 +0200
Ehy Giovanni!

On Mon, Aug 27, 2012 at 5:37 PM, Giovanni Mascellani <gio@debian.org> wrote:
> I can do this: any objections? Any special care I need to have with
> upstream? (is he Debian friendly?)

I don't have so much time these days, upstream is usually kind and
responsive with me so please go ahead.

Cheers!

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#672030; Package src:beast. (Mon, 10 Sep 2012 12:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <gio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 10 Sep 2012 12:00:03 GMT) Full text and rfc822 format available.

Message #44 received at 672030@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: 672030@bugs.debian.org
Subject: Fwd: Re: Cannot build beast with gcc 4.7
Date: Mon, 10 Sep 2012 13:57:59 +0200
[Message part 1 (text/plain, inline)]
I noticed upstream developers of this bug. Answer follows. They will be
looking into it.

Giovanni.

-------- Messaggio originale --------
Oggetto: Re: Cannot build beast with gcc 4.7
Data: Mon, 10 Sep 2012 12:49:13 +0200
Mittente: Tim Janik <tim.janik@googlemail.com>
A: Giovanni Mascellani <gio@debian.org>

On 04.09.2012 14:36, Giovanni Mascellani wrote:
> Hi.

Hi Giovanni, thanks for the report, we will be looking into it.
Stefan already reported he could reproduce your problem.
I don't have a distribution with gcc-4.7 yet, so can only look into this
later.

>
> I'm a Debian Developer and I'm triaging a bug reported against the beast
> package in Debian:
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=672030
>
> Beast doesn't compile with gcc 4.7, but it does with 4.6. The same
> behavior happens both for the Debian package and the pristine tarball
> distributed on your website.
>
> Let aside a few missing header files (check the patch at [1]), the
> problem is that a program invoked during compilation (lt-bseprocidl)
> segfaults. I tried to inspect the problem, and it appears that it is
> connected with the Gobject library, since it happens during the
> initialization of the Gobject structures related with class
> BseStandardOsc. Unfortunately, I'm not very into the glib, so I cannot
> give much more details.
>
>  [1] http://goo.gl/1eiI3
>
> Did you already try to compile beast with gcc 4.7? Do you have any plans
> of supporting it?
>
> In case this can be helpful for you, my box runs Debian sid on an amd64
> processor.
>
> Thanks, Giovanni.


-- 
Yours sincerely,
Tim Janik

---
http://timj.testbit.eu/ - Free software Author

[signature.asc (application/pgp-signature, attachment)]

Merged 672030 687397 Request was from aburchar <ansgar@debian.org> to control@bugs.debian.org. (Fri, 28 Sep 2012 09:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#672030; Package src:beast. (Sun, 14 Oct 2012 15:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to alberto fuentes <pajaro@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 14 Oct 2012 15:00:04 GMT) Full text and rfc822 format available.

Message #51 received at 672030@bugs.debian.org (full text, mbox):

From: alberto fuentes <pajaro@gmail.com>
To: 672030@bugs.debian.org
Date: Sun, 14 Oct 2012 15:58:01 +0100
Hey Giovanni, I was wondering if you have heard anything from upstream
on this issue yet? :)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#672030; Package src:beast. (Sat, 20 Oct 2012 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sat, 20 Oct 2012 10:45:03 GMT) Full text and rfc822 format available.

Message #56 received at 672030@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Tim Janik <tim.janik@googlemail.com>
Cc: Giovanni Mascellani <gio@debian.org>, 672030@bugs.debian.org
Subject: Re: Bug#672030: Fwd: Re: Cannot build beast with gcc 4.7
Date: Sat, 20 Oct 2012 12:42:31 +0200
Hi Tim,

I wonder if there is any news on this bug on your side?

The situation in Debian is that the Release team has the 'beast'
package on its removal list and requests a solution for this problem
/before/ next Friday (Oct 26). If we do not manage to upload some fix
for compilation with gcc 4.7, the package will not be part of the next
stable release, i.e. Debian/wheezy.

Sorry if this mail seems a bit harsh. I hope you understand that we,
the package maintainers of beast in Debian, experience quite some
pressure because of the upcoming release. In any case, thanks for your
work on beast!

Cheers,
Reinhard.

On Mon, Sep 10, 2012 at 1:57 PM, Giovanni Mascellani <gio@debian.org> wrote:
> I noticed upstream developers of this bug. Answer follows. They will be
> looking into it.
>
> Giovanni.
>
> -------- Messaggio originale --------
> Oggetto: Re: Cannot build beast with gcc 4.7
> Data: Mon, 10 Sep 2012 12:49:13 +0200
> Mittente: > A: Giovanni Mascellani <gio@debian.org>
>
> On 04.09.2012 14:36, Giovanni Mascellani wrote:
>> Hi.
>
> Hi Giovanni, thanks for the report, we will be looking into it.
> Stefan already reported he could reproduce your problem.
> I don't have a distribution with gcc-4.7 yet, so can only look into this
> later.
>
>>
>> I'm a Debian Developer and I'm triaging a bug reported against the beast
>> package in Debian:
>>
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=672030
>>
>> Beast doesn't compile with gcc 4.7, but it does with 4.6. The same
>> behavior happens both for the Debian package and the pristine tarball
>> distributed on your website.
>>
>> Let aside a few missing header files (check the patch at [1]), the
>> problem is that a program invoked during compilation (lt-bseprocidl)
>> segfaults. I tried to inspect the problem, and it appears that it is
>> connected with the Gobject library, since it happens during the
>> initialization of the Gobject structures related with class
>> BseStandardOsc. Unfortunately, I'm not very into the glib, so I cannot
>> give much more details.
>>
>>  [1] http://goo.gl/1eiI3
>>
>> Did you already try to compile beast with gcc 4.7? Do you have any plans
>> of supporting it?
>>
>> In case this can be helpful for you, my box runs Debian sid on an amd64
>> processor.
>>
>> Thanks, Giovanni.
>
>
> --
> Yours sincerely,
> Tim Janik
>
> ---
> http://timj.testbit.eu/ - Free software Author
>
>
> _______________________________________________
> pkg-multimedia-maintainers mailing list
> pkg-multimedia-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-multimedia-maintainers



-- 
regards,
    Reinhard



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#672030; Package src:beast. (Sun, 21 Oct 2012 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Janik <tim.janik@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 21 Oct 2012 23:54:03 GMT) Full text and rfc822 format available.

Message #61 received at 672030@bugs.debian.org (full text, mbox):

From: Tim Janik <tim.janik@googlemail.com>
To: Reinhard Tartler <siretart@gmail.com>
Cc: Giovanni Mascellani <gio@debian.org>, 672030@bugs.debian.org
Subject: Re: Bug#672030: Fwd: Re: Cannot build beast with gcc 4.7
Date: Mon, 22 Oct 2012 01:51:16 +0200
On 20.10.2012 12:42, Reinhard Tartler wrote:
> Hi Tim,
>
> I wonder if there is any news on this bug on your side?

Hey,

now that I'm back from the libreoffice conference, I managed to install
g++-4.7.2 and reproduce your issue.

I'm investigating it now.


>
> Cheers,
> Reinhard.



-- 
Yours sincerely,
Tim Janik

---
http://timj.testbit.eu/ - Free software Author




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#672030; Package src:beast. (Thu, 25 Oct 2012 02:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Janik <tim.janik@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 25 Oct 2012 02:18:08 GMT) Full text and rfc822 format available.

Message #66 received at 672030@bugs.debian.org (full text, mbox):

From: Tim Janik <tim.janik@googlemail.com>
To: Reinhard Tartler <siretart@gmail.com>
Cc: Giovanni Mascellani <gio@debian.org>, 672030@bugs.debian.org
Subject: Re: Bug#672030: Fwd: Re: Cannot build beast with gcc 4.7
Date: Thu, 25 Oct 2012 04:15:37 +0200
On 20.10.2012 12:42, Reinhard Tartler wrote:
> Hi Tim,
>
> I wonder if there is any news on this bug on your side?

Beast 0.7.6 with full support for g++-4.7 has been released now, see our
website: http://beast.testbit.eu/

The full announcement is here:
  https://mail.gnome.org/archives/beast/2012-October/msg00000.html

Let me know if you have any further problems and thanks for your efforts.

-- 
Yours sincerely,
Tim Janik

---
http://timj.testbit.eu/ - Free software Author




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#672030; Package src:beast. (Thu, 25 Oct 2012 06:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 25 Oct 2012 06:45:06 GMT) Full text and rfc822 format available.

Message #71 received at 672030@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Tim Janik <tim.janik@googlemail.com>
Cc: Giovanni Mascellani <gio@debian.org>, 672030@bugs.debian.org
Subject: Re: Bug#672030: Fwd: Re: Cannot build beast with gcc 4.7
Date: Thu, 25 Oct 2012 08:43:50 +0200
On Thu, Oct 25, 2012 at 4:15 AM, Tim Janik <tim.janik@googlemail.com> wrote:
> On 20.10.2012 12:42, Reinhard Tartler wrote:
>> Hi Tim,
>>
>> I wonder if there is any news on this bug on your side?
>
> Beast 0.7.6 with full support for g++-4.7 has been released now, see our
> website: http://beast.testbit.eu/
>
> The full announcement is here:
>   https://mail.gnome.org/archives/beast/2012-October/msg00000.html
>
> Let me know if you have any further problems and thanks for your efforts.
>

Thanks for the new upstream release. Unfortunately, I notice that the
new release introduces quite a number of changes. Since the release
team insists on hand reviewing each line manually, they are likely to
reject a package that introduces a new release.

Any chance to isolate the g++-4.7 fixes? Is there a public gitweb
available somewhere so that we can apply them as patches to the old
version?


Thanks,
Reinhard


-- 
regards,
    Reinhard



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#672030; Package src:beast. (Thu, 25 Oct 2012 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 25 Oct 2012 07:03:03 GMT) Full text and rfc822 format available.

Message #76 received at 672030@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Reinhard Tartler <siretart@gmail.com>, 672030@bugs.debian.org
Cc: Tim Janik <tim.janik@googlemail.com>
Subject: Re: Bug#672030: Fwd: Re: Cannot build beast with gcc 4.7
Date: Thu, 25 Oct 2012 09:03:21 +0200
Am 25.10.2012 08:43, schrieb Reinhard Tartler:
> Any chance to isolate the g++-4.7 fixes? Is there a public gitweb
> available somewhere so that we can apply them as patches to the old
> version?

http://git.gnome.org/browse/beast/log/

I guess the first three commits of 2012-10-21 are relevant for g++-4.7.

 - Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#672030; Package src:beast. (Thu, 25 Oct 2012 11:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Janik <tim.janik@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 25 Oct 2012 11:54:03 GMT) Full text and rfc822 format available.

Message #81 received at 672030@bugs.debian.org (full text, mbox):

From: Tim Janik <tim.janik@googlemail.com>
To: Reinhard Tartler <siretart@gmail.com>
Cc: Giovanni Mascellani <gio@debian.org>, 672030@bugs.debian.org
Subject: Re: Bug#672030: Fwd: Re: Cannot build beast with gcc 4.7
Date: Thu, 25 Oct 2012 13:51:32 +0200
On 25.10.2012 08:43, Reinhard Tartler wrote:
> On Thu, Oct 25, 2012 at 4:15 AM, Tim Janik <tim.janik@googlemail.com> wrote:
>> On 20.10.2012 12:42, Reinhard Tartler wrote:
>>> Hi Tim,
>>>
>>> I wonder if there is any news on this bug on your side?
>> Beast 0.7.6 with full support for g++-4.7 has been released now, see our
>> website: http://beast.testbit.eu/
>>
>> The full announcement is here:
>>   https://mail.gnome.org/archives/beast/2012-October/msg00000.html
>>
>> Let me know if you have any further problems and thanks for your efforts.
>>
> Thanks for the new upstream release. Unfortunately, I notice that the
> new release introduces quite a number of changes. Since the release
> team insists on hand reviewing each line manually, they are likely to
> reject a package that introduces a new release.
>
> Any chance to isolate the g++-4.7 fixes? Is there a public gitweb
> available somewhere so that we can apply them as patches to the old
> version?

There has been a lot of C->C++ porting going on since the last release,
so hand reviewing would be quite hard.
Some fixes only went into the code base *after* the porting (such as the
davorgan.cc frequency fixes).

The code is of course public:
http://beast.testbit.eu/Beast_Download
git://git.gnome.org/beast
http://git.gnome.org/browse/beast

Here're commit IDs for the usual +#include <unistd.h> fixes you need for
gcc-4.7:
c17259d4b29dbc47a9657f172322d4d908fcd4cf
71ac19f78569f287f7e6db0147b6627a4d4acb0d

You'll also need the stack and member resolution fixes for gcc-4.7:
0bc5582c9d6ddeb23d236b2f55b59bf9b414a66a
7b63939eb6e22f3bf2a99719d8b8443236f4476c
fd03d7275711266e1350f7fb85c23b0996060fcd

However the latest release also includes important fixes for crashers
and GLib regressions, at least:
57b0bcbd03d2c7dac78f743fcafe1843cf07d87e
8ccc503bc6ee7a487c3d8834cf4ed028c537af52
545b1cd2ffb9d253aa81bff754b5b622a39fcfbb
2063dcbdc2238dccf877faed8371df9f682a536e
bfcdf52900b4fbd60139682dc62cedd8af210851
b62343a1d755a74bbb23c26ab1b90af44be92fa7

I have no idea how many conflicts you'll run into when backporting these
onto 0.7.4, because of the C->C++ porting we have done.

Best of luck.

> Thanks,
> Reinhard

-- 
Yours sincerely,
Tim Janik

---
http://timj.testbit.eu/ - Free software Author




Added tag(s) help. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Fri, 26 Oct 2012 09:45:05 GMT) Full text and rfc822 format available.

Merged 672030 674900 687397 Request was from Andrea Spadaccini <andrea.spadaccini@gmail.com> to control@bugs.debian.org. (Sat, 03 Nov 2012 14:30:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#672030; Package src:beast. (Mon, 05 Nov 2012 11:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 05 Nov 2012 11:54:06 GMT) Full text and rfc822 format available.

Message #90 received at 672030@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 672030@bugs.debian.org
Cc: Debian Release Team <debian-release@lists.debian.org>
Subject: Re: FTBFS with gcc-4.7: segfaults in lt-bseprocidl
Date: Mon, 5 Nov 2012 11:51:31 +0000
tags 672030 - help + pending
thanks

Hi everybody,

this is just to inform you that a patch is ready, I'm going to upload
the fixed version within few hours.

Cheers,

--
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A



Removed tag(s) help. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Mon, 05 Nov 2012 11:54:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Mon, 05 Nov 2012 11:54:11 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Mon, 05 Nov 2012 12:36:08 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 05 Nov 2012 12:36:08 GMT) Full text and rfc822 format available.

Message #99 received at 672030-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 672030-close@bugs.debian.org
Subject: Bug#672030: fixed in beast 0.7.4-5
Date: Mon, 05 Nov 2012 12:32:43 +0000
Source: beast
Source-Version: 0.7.4-5

We believe that the bug you reported is fixed in the latest version of
beast, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672030@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated beast package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 05 Nov 2012 11:53:57 +0000
Source: beast
Binary: beast bse-alsa libbse-0.7-4 libbse-dev beast-doc
Architecture: source amd64 all
Version: 0.7.4-5
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 beast      - music synthesis and composition framework
 beast-doc  - Documentation for BEAST/BSE
 bse-alsa   - ALSA plugin for BEAST
 libbse-0.7-4 - music synthesis and composition framework - shared library
 libbse-dev - music synthesis and composition framework - development files
Closes: 672030
Changes: 
 beast (0.7.4-5) unstable; urgency=low
 .
   * debian/patches/500-gcc47.patch:
     - Cherry-pick some other patches from upstream VCS to fix FTBFS
       with GCC 4.7. (Closes: #672030)
Checksums-Sha1: 
 88df51e53aa38a7fa7796350eaacbb86374b7ef4 2379 beast_0.7.4-5.dsc
 6b11c7c013eb2173356e607a3723c0df64f8ba25 16326 beast_0.7.4-5.debian.tar.gz
 f0cb7c19e6b0de9d226093c1e74d6ea7f18d4ed5 2464150 beast_0.7.4-5_amd64.deb
 30136bf0841fe5f2dcce30732b87f46ffec48190 35640 bse-alsa_0.7.4-5_amd64.deb
 859138779128fcee98f0d0dc210eb109ed8709ee 1487306 libbse-0.7-4_0.7.4-5_amd64.deb
 fd6cfda0ded7945d06980b8e62499afe68527e48 308008 libbse-dev_0.7.4-5_all.deb
 c8542a59acc3c84156809be0c66e3c06298682eb 139650 beast-doc_0.7.4-5_all.deb
Checksums-Sha256: 
 d7dabc35ec094a88ea200977fc6bdf95ad15fba15c30484319e24ca254bb4770 2379 beast_0.7.4-5.dsc
 fe7f9b69b549fe2144a121d52dd3f446401ea2fc2961bf20ee9f5e28e73f1294 16326 beast_0.7.4-5.debian.tar.gz
 188fd758de568d5b6178d6a47ee20f6e0858a38515dfea87006ae5a1ea18bff9 2464150 beast_0.7.4-5_amd64.deb
 71033a728f6056809ca11e1615a1797f0508966f61767901556401d31bf3c49d 35640 bse-alsa_0.7.4-5_amd64.deb
 93b71c1a52a2b0316f10234d6289d588090835cd01df1bee1f2cc50a770b3ac5 1487306 libbse-0.7-4_0.7.4-5_amd64.deb
 1a90bbfaf26954685d76516091a19b12f9f193226373243ff3b3e7f08fece4e4 308008 libbse-dev_0.7.4-5_all.deb
 049f45e81d6593db7f34e969d9d3195c322d420c9e57bbb48dc962fcd837c546 139650 beast-doc_0.7.4-5_all.deb
Files: 
 c5273925da421efd8d315d1d1d5bd0fe 2379 gnome extra beast_0.7.4-5.dsc
 ba407f818ff5243ddc941405be7861c0 16326 gnome extra beast_0.7.4-5.debian.tar.gz
 915784b3a7b8e8e4160865a995917d7b 2464150 gnome extra beast_0.7.4-5_amd64.deb
 a51edfabde186676cfdbd080b73331f7 35640 sound extra bse-alsa_0.7.4-5_amd64.deb
 8c0fbec838d80bf0dd3c25eaa48dc6cd 1487306 libs extra libbse-0.7-4_0.7.4-5_amd64.deb
 18f8e3e575b7890dd01d8128e96db19a 308008 libdevel extra libbse-dev_0.7.4-5_all.deb
 84111ee7f6e7f3ad1b8da0551b6682f0 139650 doc extra beast-doc_0.7.4-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJQl6+EAAoJEOikiuUxHXZae+wQAJb7P+YgRyXs9b6fw2uS6W8K
ZKQsK2qFocm94s6DkbdYRwD2z8UdPhne3Y69zk1+Ezh/pucKUHgzlpzNI0P9NdN+
OdhRY/qBfHRoww6U4uI1tBqkb4e+2fIJUpltRpJagubcPRhlhM9lutGr3tc3ILuo
uvfjddse6tnrDWrjHPWJDBiIUPKhu4EQVyyaZivFgDXDnN80BzsUA6//0fonFRu9
5LBFi8ZXfCk313Z0F2MGgnph4e4bLeQhYPYiy6r3TKIqADLQVg7RDw6qdqeYC/5l
Lz09A+smez369gxSKJBz20mmvbfkqEDKJ9kJpKoKGYmdDSxj2DCx2y1YNB4/2zNe
4SiBTEXS7uMjK0/qdPH2vCwiWNOKfd98pKZvm+TIeiHB2xdyyzzuOL8RQoVcKJFK
4kQNdEzLHO0AXE2yu7/JlneobYfXEcmApy7xSytUVGomq1EYfv2c+zYsxM4cuu/j
1+GxgYUtBtj3cxd/qM3Pea3Pg4L37OPA9iS1nvXNgMlCzmjl5JTUchJl9sLps7Cl
x3muMijvHB4jj54CbipjJ2rPpbOmGUkUSCfTy5Hj314e6KOFaWg0ADJXsmlRdvqH
e+HZNjwhuu1KqrqqDtzZKyYuVCgt08g5cEDs7IZSMKVwY2cmZBUcBa/hj7aC9+7m
A7dudyB4Jrk5yA76C4Aq
=Pkof
-----END PGP SIGNATURE-----




Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Mon, 05 Nov 2012 12:36:08 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Mon, 05 Nov 2012 12:36:08 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Mon, 05 Nov 2012 12:36:09 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 05 Nov 2012 12:36:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Dec 2012 07:25:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:06:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.